<template>
  <div class="mt-form-fields-activite">
    <div class="mt-fields-section">
      <b-field label="Code ">
        <b-input v-model="typeActivite.code" placeholder="Ex: MIS" required />
      </b-field>
      <b-field label="Libellé ">
        <b-input v-model="typeActivite.libelle" placeholder="Ex: Mission opérationnelle" required />
      </b-field>
      <b-field label="Code CSS ">
        <b-input v-model="typeActivite.codeCss" placeholder="Ex: mission" required />
      </b-field>
      <b-field label="Code CSS Icone ">
        <b-input v-model="typeActivite.codeCssIcone" placeholder="Ex: image-filter-hdr" required />
      </b-field>
      <b-field label="Ordre d'affichage ">
        <b-input v-model="typeActivite.ordre" placeholder="Ex: image-filter-hdr" required />
      </b-field>
    </div>
  </div>
</template>

<script>
export default {
  props: {
    typeActivite: {
      type: Object,
      default: () => ({}),
    },
  },
};
</script>

<style scoped lang="scss">
@import '~/assets/css/_variables';

/deep/ {
  label.label {
    font-size: 0.8rem;
    color: $grey;
    margin-bottom: 0.3em;
    font-weight: normal;
  }
}
h3 {
  font-weight: bold;
  margin-bottom: 1rem;
}
.mt-fields-section {
  margin-bottom: 1.25rem;
}
.mt-fake-field {
  margin-bottom: 0;
}
.mt-type {
  .control:not(:last-child) {
    margin-right: 1rem;
  }
}
</style>
